Subject: Re: bug#53188: 28.0.90; if tooltip-mode is off, modeline context menu blocks minibuffer at column 36

From: Po Lu <[email-masked]>
Date: Wed, 12 Jan 2022 14:28:39 +0800

Van Ly <[email-masked]> writes:

> observed behavior
> * minibuffer's message line is blocked by modeline context menu at
>   column 36
>
> expected behavior
> * minibuffer's message line is readable for the length of the width of
>   the emacs frame, modeline context menu offsets appropriately and
>   does not block minibuffer message line

I'm not going to mess with GTK+ menu placement (and I don't recommend
anyone to try that either, especially with GTK 3, where GTK performing
size allocation a menu causes native input to stop working for a weird
reason), but patches would be welcome to fix that in the Xt builds.  If
it helps, Motif provides some feature to define custom areas of a screen
where XmMenuShells should avoid, but I don't remember what it is.

Thanks.